#pragma once

#include "CoreMinimal.h"
#include "AISkill.h"
#include "AISkill_PlaceFireflyLanternOnGenerator.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UAISkill_PlaceFireflyLanternOnGenerator : public UAISkill
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName BBGeneratorInteractorKey;

public:
	UAISkill_PlaceFireflyLanternOnGenerator();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_PlaceFireflyLanternOnGenerator) { return 0; }
